<?php
namespace Teknisa\CTB\Controllers;

use Teknisa\CTB\Services\Ctb23000BalanceteGerencialService;
use Zeedhi\Framework\DataSource\ParameterBag;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Request\Row;
use Zeedhi\Framework\DataSource\DataSet;

class Ctb23000BalanceteGerencialController extends \Teknisa\CTB\Controllers\TeknisaCrud {

    protected $balanceteGerencialService;

    public function __construct($balanceteGerencialService) {
        $this->balanceteGerencialService = $balanceteGerencialService;
    }

    public function buscaDadosBalancete(DTO\Request\Filter $request, DTO\Response $response) {
        $row = $this->getFilterArray($request);
        try {
            $page = $request->getParameter('page');
        }
        catch(\Exception $e) {
            $page = 1;
        }
        $dataSet = $this->balanceteGerencialService->buscaDadosBalancete($row, $page);
        $dataSet = new DataSet('buscaDadosBalancete', $dataSet);
        $response->addDataSet($dataSet);
    }

    public function getAllDistinctCdCentCust(DTO\Request\Filter $request, DTO\Response $response) {
        $conditions = $request->getFilterCriteria()->getConditions();
        if(isset($conditions[0])){
            $filiais = $request->getFilterCriteria()->getConditions()[0]["value"];
        } else{
            $filiais = null;
        }

        if(isset($conditions[1])){
            $centCusts = $request->getFilterCriteria()->getConditions()[1]["value"];
        } else{
            $centCusts = null;
        }
        $dataSet = $this->balanceteGerencialService->getAllDistinctCdCentCust($filiais, $centCusts);
        $dataSet = new DataSet('getAllCdCentCust', $dataSet);
        $response->addDataSet($dataSet);
    }

    private function getFilterArray($request) {
        $filter = array();
        $conditions = $request->getFilterCriteria()->getConditions();
        foreach ($conditions as $condition) {
            $filter[$condition["columnName"]] = $condition["value"];
        }
        return $filter;
    }
}