const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
const z = new ZeedhiAPIConstructor(browser, protractor);
const Helper = require('teknisa-helper');
const geral = new Helper.geral();
const loginPage = new Helper.login();
const protractorHelper = require('protractor-helper');
const j = require('../../../json/leitorJson.po');
const historicoPadrao = require('../../../page-objects/parametrizacao/contabil/historicoPadrao.po');
describe('Histórico Padrão', () => {
    beforeAll(() => {
        loginPage.login(j.getValor('login'), j.getValor('senha'));
        geral.abrir(['Parametrização', 'Contábil', 'Histórico Padrão']);
    });
    afterAll(() => {
        geral.sair();
    });
    it('Histórico Padrão', () => {
        expect(z.component.header.getTitle()).toBe('Histórico Padrão');
    });
    it('Realizar o preenchimento dos campos solicitados na página', () => {
        protractorHelper.waitForElementVisibility(element(by.id('grid-93929143524131800232387')));
        geral.clickAdicionar();
        historicoPadrao.adicionar(j.getValor('codigoHistorico'), j.getValor('nomeDoHistorico'));
        geral.clickSalvar();
        geral.clickOk();
        // geral.filterIt(j.getValor('nomeDoHistorico'));
        expect(geral.gridHasText('93929143524131800232387', j.getValor('nomeDoHistorico'), 1)).toEqual('ADIANTAMENTO DE VIAGENS');
    });
    it('Editar Registro', () => {
        protractorHelper.waitForElementVisibility(element(by.id('grid-93929143524131800232387')));
        geral.filterIt(j.getValor('nomeDoHistorico'));
        geral.clickGrid('DSHISTPADR', j.getValor('nomeDoHistorico'), '93929143524131800232387');
        geral.clickEditar();
        historicoPadrao.editar(j.getValor('nomeDoHistorico1'));
        geral.clickSalvar();
        geral.clickOk();
        geral.filterIt(j.getValor('nomeDoHistorico1'));
        expect(geral.gridHasText('93929143524131800232387', j.getValor('nomeDoHistorico1'), 1)).toEqual('CONTAS A PAGAR [DOC] [RSF]');
    });
    it('Excluir Registro', () => {
        protractorHelper.waitForElementVisibility(element(by.id('grid-93929143524131800232387')));
      //  geral.filterIt(j.getValor('nomeDoHistorico1'));
        geral.clickGrid('DSHISTPADR', j.getValor('nomeDoHistorico1'), '93929143524131800232387');
        geral.clickExcluir();
        geral.clickSim();
        geral.filterIt(j.getValor('nomeDoHistorico1'));
        expect(geral.gridHasText('93929143524131800232387', j.getValor('nomeDoHistorico1'), 1)).toBeUndefined();
    },
    );
});
